package ru.yandex.webmaster3.core.searchquery.history;

import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.Set;

/**
 * @author tsyplyaev
 */
public class QueriesAdded extends GroupModification {
    private Set<String> queries;

    public QueriesAdded() {
        super(ModificationType.QUERIES_ADDED);
    }

    public QueriesAdded(@JsonProperty Set<String> queries) {
        super(ModificationType.QUERIES_ADDED);
        this.queries = queries;
    }

    public Set<String> getQueries() {
        return queries;
    }

    public void setQueries(Set<String> queries) {
        this.queries = queries;
    }
}
